# This file is part of Relax-and-Recover, licensed under the GNU General
# Public License. Refer to the included COPYING for full text of license.
#
# 400_restore_backup.sh
OPT_BUAGENT="/opt/BUAgent"
TASK="bmr_task"
VPR_FILE="bmr_0000xxx.vpr"
SPIN_CHAR="/-\|"

function SpinPrint () {
  { printf "\b$*" 1>&8 || true ; } 2>>/dev/$DISPENSABLE_OUTPUT_DEV
}

# Build recovering command
LogPrint "Recovering from vault"

builtin trap "echo USR2!" USR2
builtin trap "echo HUP!" HUP
# Run VV restore at background
cmd="$OPT_BUAGENT/VV RESTORE $TASK /param=$VPR_FILE"
$cmd &
vv_pid=$!

# Check the running status of the VV restore process
sp_pos=0
while true; do
  if kill -s 0 $vv_pid >/dev/null 2>&1; then
    sleep 0.5
    SpinPrint "${SPIN_CHAR:sp_pos++:1}"
    ((sp_pos==${#SPIN_CHAR})) && sp_pos=0
  else
    break
  fi
done

LogPrint "Recover from vault completed."
LogPrintIfError "Error was reported during recover."

# Recreate /etc/mtab
ln -sf /proc/self/mounts $TARGET_FS_ROOT/etc/mtab >&2

popd >/dev/null